#include <iostream>

using namespace std;

int main()
{
    int a,b,x,y;
    cin >> a >> b;
    cin >> x >> y;

    if(a==x)
        if(b>y)
        cout << "drugi";
    if(b==y)
        if(a>x)
        cout << "prvi";
    if(a==x && b==y)
        cout << "nijedan";
    if(a>x && b > y)
        cout << "?";

    return 0;
}